SUMMARY = "Vesta v1 firmware"
DESCRIPTION = "Vesta firmware such as for the wifi and bluetooth"
SECTION = "base"
LICENSE = "CLOSED"

PACKAGE_ARCH = "${MACHINE_ARCH}"

#Rigado scripts
SRCBRANCH ?= "master"

SRC_URI = "git://git@git.rigado.com/mondoud/vesta-scripts.git;protocol=ssh;branch=${SRCBRANCH};destsuffix=${S}/git "

do_install() {
    install -d ${D}${exec_prefix}/rigado/scripts
    install -m 755 git/scripts/kill_tests.sh ${D}${exec_prefix}/rigado/scripts/kill_tests.sh
    install -m 755 git/scripts/led_control.sh ${D}${exec_prefix}/rigado/scripts/led_control.sh
    install -m 755 git/scripts/pwm_init.sh ${D}${exec_prefix}/rigado/scripts/pwm_init.sh
    install -m 755 git/scripts/rig_init.sh ${D}${exec_prefix}/rigado/scripts/rig_init.sh
    install -m 755 git/scripts/start_test.sh ${D}${exec_prefix}/rigado/scripts/start_test.sh
    install -m 755 git/scripts/stress.sh ${D}${exec_prefix}/rigado/scripts/stress.sh
    install -m 755 git/scripts/test_2.4.sh ${D}${exec_prefix}/rigado/scripts/test_2.4.sh
    install -m 755 git/scripts/test_mode.sh ${D}${exec_prefix}/rigado/scripts/test_mode.sh
    install -m 755 git/scripts/watchdog.sh ${D}${exec_prefix}/rigado/scripts/watchdog.sh
    install -m 755 git/scripts/emmc_test.sh ${D}${exec_prefix}/rigado/scripts/emmc_test.sh
    install -m 755 git/scripts/mem_test.sh ${D}${exec_prefix}/rigado/scripts/mem_test.sh
    install -m 755 git/scripts/nor_flash_test.sh ${D}${exec_prefix}/rigado/scripts/nor_flash_test.sh
    install -m 755 git/scripts/start_wifi.sh ${D}${exec_prefix}/rigado/scripts/start_wifi.sh
    install -m 755 git/scripts/manufacturing_test.sh ${D}${exec_prefix}/rigado/scripts/manufacturing_test.sh
    install -m 755 git/scripts/bmd300_test.sh ${D}${exec_prefix}/rigado/scripts/bmd300_test.sh
    install -m 755 git/scripts/r41z_test.sh ${D}${exec_prefix}/rigado/scripts/r41z_test.sh
    install -m 755 git/scripts/led_test.sh ${D}${exec_prefix}/rigado/scripts/led_test.sh
    install -m 755 git/scripts/start_led_test.sh ${D}${exec_prefix}/rigado/scripts/start_led_test.sh

    install -d ${D}${exec_prefix}/rigado/files/
    install -m 600 git/files/wpa_supplicant.conf ${D}${exec_prefix}/rigado/files/wpa_supplicant.conf
    install -m 600 git/files/wpa_supplicant.conf.5g ${D}${exec_prefix}/rigado/files/wpa_supplicant.conf.5g

    install -d ${D}${sysconfdir}/rc5.d
    ln -sf /usr/rigado/scripts/rig_init.sh ${D}${sysconfdir}/rc5.d/S90rig_init.sh
    ln -sf /usr/rigado/scripts/start_led_test.sh ${D}${sysconfdir}/rc5.d/S91start_led_test.sh
}

FILES_${PN} += " \
    ${exec_prefix}/rigado/scripts/kill_tests.sh \
    ${exec_prefix}/rigado/scripts/led_control.sh \
    ${exec_prefix}/rigado/scripts/pwm_init.sh \
    ${exec_prefix}/rigado/scripts/rig_init.sh \
    ${exec_prefix}/rigado/scripts/start_test.sh \
    ${exec_prefix}/rigado/scripts/stress.sh \
    ${exec_prefix}/rigado/scripts/test_2.4.sh \
    ${exec_prefix}/rigado/scripts/test_mode.sh \
    ${exec_prefix}/rigado/scripts/watchdog.sh \
    ${exec_prefix}/rigado/scripts/emmc_test.sh \
    ${exec_prefix}/rigado/scripts/mem_test.sh \
    ${exec_prefix}/rigado/scripts/nor_flash_test.sh \
    ${exec_prefix}/rigado/scripts/start_wifi.sh \
    ${exec_prefix}/rigado/scripts/manufacturing_test.sh \
    ${exec_prefix}/rigado/scripts/bmd300_test.sh \
    ${exec_prefix}/rigado/scripts/r41z_test.sh \
    ${exec_prefix}/rigado/scripts/led_test.sh \
    ${exec_prefix}/rigado/scripts/start_led_test.sh \
    ${exec_prefix}/rigado/files/wpa_supplicant.conf \
    ${exec_prefix}/rigado/files/wpa_supplicant.conf.5g \
"
